Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.lifetime.impl
Class SetTerminationTime

    java.lang.Object
      org.apache.muse.ws.resource.lifetime.impl.SetTerminationTime

All Implemented Interfaces:
  XmlSerializable

public class SetTerminationTime
extends java.lang.Object
implements XmlSerializable

SetTerminationTime is a serializer/deserializer for the WS-ImmediateTermination SetTerminationTime operation's request content.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SetTerminationTime(java.util.Date time)`
`SetTerminationTime(org.w3c.dom.Element request)`

Method Summary
`java.util.Date` | `getTerminationTime()`
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetTerminationTime

    public SetTerminationTime(java.util.Date time)

### SetTerminationTime

    public SetTerminationTime(org.w3c.dom.Element request)
                       throws UnableToSetTerminationTimeFault

Method Detail

### getTerminationTime

    public java.util.Date getTerminationTime()

### toString

    public java.lang.String toString()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD